<?php

namespace App\Http\Controllers;

use App\Models\Client;
use App\Models\Flight;
use App\Models\Staff;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    public function getAll(Request $request){
        $clients  = Client::all();
        return view("client", array("clients" => $clients));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["lastname" => "required|max:255",
        "firstname" => "required|max:255",
        "middlename" => "required|max:255",
        "passport_data" => "required|max:10",
        "birth_date" => "required|date_format:Y-m-d",
        "gender" => "required",
        "email" => "required|max:255"
        ]);

        $new_airport = Client::create($data);
        return redirect('client/');
    }
    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Client::where('id', $instanceId)->first();
        }
        else {
            $obj = new Client();
        }
        return view('clientForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["lastname" => "required|max:255",
            "firstname" => "required|max:255",
            "middlename" => "required|max:255",
            "passport_data" => "required|max:10",
            "birth_date" => "required|date_format:Y-m-d",
            "gender" => "required",
            "email" => "required|max:255"
        ]);
        $obj = Client::where('id', $request->instanceId)->first()->update($data);
        $flights = Flight::all();
        $staffs = Staff::all();
        return redirect('/client');

    }
}
