<?php

namespace App\Http\Controllers;

use App\Models\Flight;
use App\Models\Position;
use App\Models\Route;
use Illuminate\Http\Request;
use App\Models\Staff;

class StaffController extends Controller
{
    public function getAll(Request $request){
        $staff  = Staff::all();
        return view("staff", array("staffs" => $staff));
    }
    public function createNew(Request $request) {
        $data = $request->validate(["lastname" => "required|max:255",
        "firstname" => "required|max:255",
        "middlename" => "required|max:255",
        "position_id" => "required",
        "air_time" => "required|date_format:H:i",
        "passport_data" => "required|min:10|max:10",
        "phone" => "required|max:15",
        "birth_date" => "required|date_format:Y-m-d",
        "address" => "required|max:255"]);

        if (!isset($data['in_flight']))
            $data['in_flight'] = 1;
        else
            $data['in_flight'] = 0;
        $new_route = Staff::create($data);
        return redirect('staff/');
    }

    public function editForm(Request $request) {
        $instanceId = $request->instanceId;
        if ($instanceId) {
            $obj = Staff::where('id', $instanceId)->first();
        }
        else {
            $obj = new Staff();
        }
        return view('staffForm', array(
            "obj" => $obj,
        ));
    }

    public function editInstance(Request $request) {
        $data = $request->validate(["lastname" => "required|max:255",
            "firstname" => "required|max:255",
            "middlename" => "required|max:255",
            "position_id" => "required",
            "air_time" => "required|date_format:H:i",
            "passport_data" => "required|min:10|max:10",
            "phone" => "required|max:15",
            "birth_date" => "required|date_format:Y-m-d",
            "address" => "required|max:255"]);
        $obj = Staff::where('id', $request->instanceId)->first()->update($data);
        $flights = Flight::all();
        $staffs = Staff::all();
        return redirect('/staff');

    }
}
