<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPlanesToAirport extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('airports_planes', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('plane_id');
            $table->foreign('plane_id')
              ->references('id')
              ->on('planes')->onDelete('cascade');
            $table->unsignedBigInteger('airport_id');
            $table->foreign('airport_id')
              ->references('id')
              ->on('airports')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('planes_airports');
    }
}
