@extends("base")

@section("content")

    @if ($obj->id)
        <form action="/flight/edit/{{$obj->id}}" method="post">
            @else
                <form action="/flight/create/" method="post">
                    @endif
        <div class="form-group">
            <label for="plane_id">Работник</label>
            <select id="plane_id" name="plane_id" class="form-control">
                @foreach($planes as $plane)
                    <option value="{{$plane->id}}">{{$plane}}</option>
                @endforeach
            </select>
            <label for="route_id">Маршрут</label>
            <select id="route_id" name="route_id" class="form-control">
                @foreach($routes as $route)
                    <option value="{{$route->id}}"
                        @if ($route->id == $obj->route->id)
                            selected
                        @endif
                    >{{$route}}</option>
                @endforeach
            </select>
            <label for="departure">Время вылета</label>
            <input type="datetime-local" class="form-control" value="{{$obj->departure}}" name="departure" id="departure">
            <label for="arrival">Время прибытия</label>
            <input type="datetime-local" class="form-control" value="{{$obj->arrival}}" name="arrival" id="arrival">
            <label for="commander">Статус</label>
            <select name="status" id="status" class="form-control">
                <option>in_flight</option>
                <option>awaiting_flight</option>
                <option>arrived</option>
                <option>canceled</option>
            </select>
        </div>
        <div>
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
        @csrf
    </form>

@stop

